INPUT_EVENT(9)

NAME
input_event - report new input event

SYNOPSIS

void input_event(struct input_dev * dev, unsigned int type, unsigned int code, int value);

ARGUMENTS

dev
    device that generated the event

type
    type of the event

code
    event code

value
    value of the event

DESCRIPTION

This function should be used by drivers implementing various input devices to report input events. See also input_inject_event.

NOTE

input_event may be safely used right after input device was allocated with input_allocate_device, even before it is registered with input_register_device, but the event will not reach any of the input handlers. Such early invocation of input_event may be used to 'seed' initial state of a switch or initial position of absolute axis, etc.

COPYRIGHT